Summary: file(1) command
Name: file
Version: 3.22
Release: 5
Copyright: distributable
Group: Utilities/File
Source: ftp://ftp.deshaw.com/pub/file/file-3.22.tar.gz
Patch: file-3.22-misc.patch
Patch1: file-3.22-glibc.patch
Patch2: file-3.20-newk.patch
Patch3: file-3.22-64timet.patch
Packager: Frank Meurer <meurer@gmx.de>

%description
This package is useful for finding out what type of file you are looking 
at on your system.  For example, if an fsck results in a file being stored 
in lost+found, you can run file on it to find out if it's safe to 'more' 
it or if it's a binary. It recognizes many file types, including ELF binaries,
system libraries, RPM packages, and many different graphics formats.

%changelog

* Thu Oct  4 2001 Frank Meurer <meurer@gmx.de>

- Linux/mac68k

* Mon Mar 31 1997 Erik Troan <ewt@redhat.com>

Fixed problems caused by 64 bit time_t.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>

Improved recognition of Linux kernel images.

%prep
%setup
%patch -p1

%ifarch alpha
%patch1 -p1
%endif

%patch2 -p1 -b .newk
%patch3 -p1 -b .64timet

%build
make
strip file

%install
make install
make install.man

%files
/usr/bin/file
/usr/lib/magic
/usr/man/man1/file.1
/usr/man/man4/magic.4
